Skip to main content
PATCH
CLI equivalents: ornn volume-mounts attach <reservation-id> --volume <volume> --access read-write and ornn volume-mounts detach <reservation-id>. See Manage volumes through the API for the polling sequence.

Authorizations

Authorization
string
header
required

Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.

Path Parameters

drive_id
string<uuid>
required

Volume ID.

Body

application/json
reservation_id
string<uuid>
required

An owned reservation.

deployed
boolean

Set true to attach and mount the volume on every machine in the reservation.

attached
boolean

Set false to detach the volume from the reservation.

access_mode
enum<string>
default:read-write
Available options:
read-write,
read-only
mount_path
string
default:/home/tenant/volume

Absolute path on each machine.

Response

The request was accepted. attachment.state is pre_positioning after an attach and detaching after a detach. attachment is null when there was nothing to detach.

attachment
object | null
required

A reservation's volume attachment.